package factura40;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlType;

@XmlType(name = "c_TipoDeComprobante", namespace = "http://www.sat.gob.mx/sitio_internet/cfd/catalogos")
@XmlEnum
public enum CTipoDeComprobante {

    I("ingreso"), E("egreso"), T("traslado"), N("nomina"), P("pago");

    String valor;

    private CTipoDeComprobante(String aValor) {
        valor = aValor;
    }

    public String value() {
        return name();
    }

    public String getValor() {
        return valor;
    }

    public static CTipoDeComprobante fromValue(String v) {
        for (CTipoDeComprobante valor : CTipoDeComprobante.values()) {
            if (valor.getValor() == v) {
                return valor;
            }
        }

        return valueOf(v);
    }

}
